%{?nodejs_find_provides_and_requires}

%global packagename execa

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-execa
Version:	0.8.0
Release:	2%{?dist}
Summary:	A better child_process

License:	MIT
URL:		https://github.com/sindresorhus/execa
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	fixtures-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	https://raw.githubusercontent.com/sindresorhus/execa/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(cross-spawn)
BuildRequires:	npm(get-stream)
BuildRequires:	npm(is-stream)
BuildRequires:	npm(npm-run-path)
BuildRequires:	npm(p-finally)
BuildRequires:	npm(signal-exit)
BuildRequires:	npm(strip-eof)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
A better child_process


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package
cp -p %{SOURCE11} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 0.8.0-1
- Update to upstream 0.8.0 release

* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 0.6.3-1
- Initial packaging
